--[[
************************************************************************
Project				: Broker_Extractor
Author				: torhal
Project Revision	: 2.1.4-release
Project Date		: 20120103122947

File				: HerbNodes.lua
Commit Author		: zhinjio
Commit Revision		: 41
Commit Date			: 20110102155543
************************************************************************
Description	:
	Herb Nodes database file
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor

if not addon.nodeCounts then
	addon.nodeCounts = {}
end

addon.nodeCounts[22710]	= {	-- Bloodthistle
	orange = "1", yellow = "25", green = "50", grey = "100",
	[22] = 59,
}
addon.nodeCounts[765]	= {	-- Silverleaf
	orange = "1", yellow = "25", green = "50", grey = "100",
	[22] = 19, [56] = 71, [17] = 102, [21] = 60, [25] = 53, [16] = 38, [35] = 87,
	[59] = 68, [52] = 28, [34] = 19, [12] = 12, [38] = 37, [65] = 31
}
addon.nodeCounts[2447]	= {	-- Peacebloom
	orange = "1", yellow = "25", green = "50", grey = "100",
	[22] = 26, [56] = 98, [17] = 66, [21] = 58, [25] = 56, [16] = 43, [35] = 84,
	[59] = 76, [52] = 24, [4] = 23, [65] = 20
}
addon.nodeCounts[2449]	= {	-- Earthroot
	orange = "15", yellow = "40", green = "65", grey = "115",
	[56] = 52, [17] = 44, [21] = 19, [25] = 50, [16] = 36, [35] = 39, [59] = 45,
	[46] = 39, [4] = 18, [40] = 26, [65] = 17
}
addon.nodeCounts[785]	= {	-- Mageroyal
	orange = "50", yellow = "75", green = "100", grey = "150",
	[34] = 21, [12] = 133, [38] = 116, [46] = 90, [4] = 57, [40] = 17, [28] = 271,
	[65] = 29, [49] = 34, [3] = 17, [18] = 19, [66] = 31
}
addon.nodeCounts[2450]	= {	-- Briarthorn
	orange = "70", yellow = "95", green = "120", grey = "170",
	[12] = 85, [38] = 85, [46] = 37, [4] = 68, [40] = 36, [28] = 233, [65] = 35, 
	[49] = 45, [3] = 18, [18] = 55, [66] = 49
}
addon.nodeCounts[2453]	= {	-- Bruiseweed
	orange = "85", yellow = "110", green = "135", grey = "185",
	[40] = 31, [28] = 36, [65] = 33, [49] = 50, [3] = 63, [18] = 37, [66] = 49,
	[39] = 99, [55] = 39
}
addon.nodeCounts[3820]	= {	-- Stranglekelp
	orange = "85", yellow = "110", green = "135", grey = "185",
	[65] = 89, [3] = 15, [66] = 96, [39] = 22, [48] = 21, [54] = 43, [58] = 336,
	[64] = 43, [55] = 15
}
addon.nodeCounts[3355]	= {	-- Wild Steelbloom
	orange = "115", yellow = "140", green = "165", grey = "215",
	[49] = 83, [3] = 70, [18] = 15, [66] = 19, [39] = 84, [14] = 36, [2] = 65,
	[55] = 16
}
addon.nodeCounts[3369]	= {	-- Grave Moss
	orange = "120", yellow = "120", green = "??", grey = "??",
	[18] = 30
}
addon.nodeCounts[3356]	= {	-- Kingsblood
	orange = "125", yellow = "155", green = "175", grey = "225",
	[18] = 23, [66] = 46, [39] = 228, [14] = 57, [47] = 68, [2] = 48, [19] = 23,
	[24] = 34, [64] = 96, [55] = 42
}
addon.nodeCounts[3357]	= {	-- Liferoot
	orange = "150", yellow = "175", green = "200", grey = "250",
	[66] = 24, [39] = 74, [47] = 19, [2] = 27, [19] = 49, [58] = 34, [20] = 103,
	[64] = 74, [55] = 15
}
addon.nodeCounts[3358]	= {	-- Khadgar's Whisker
	orange = "165", yellow = "190", green = "210", grey = "280",
	[14] = 39, [47] = 34, [48] = 20, [2] = 51, [54] = 67, [19] = 38, [20] = 319, 
	[24] = 118, [64] = 152, [55] = 30
}
addon.nodeCounts[3821]	= {	-- Goldthorn
	orange = "150", yellow = "175", green = "220", grey = "250",
	[48] = 44, [2] = 75, [54] = 18, [19] = 43, [24] = 33, [55] = 61
}
addon.nodeCounts[3818]	= {	-- Fadeleaf
	orange = "150", yellow = "175", green = "200", grey = "250",
	[2] = 29, [54] = 125, [19] = 36, [24] = 170, [64] = 45, [55] = 15
}
addon.nodeCounts[8836]	= {	-- Arthas' Tears
	orange = "220", yellow = "250", green = "270", grey = "320",
	[20] = 19, [64] = 27
}
addon.nodeCounts[8838]	= {	-- Sungrass
	orange = "230", yellow = "255", green = "280", grey = "330",
	[58] = 188, [20] = 257, [55] = 23, [41] = 61, [51] = 45, [6] = 113, [45] = 33,
	[10] = 79, [63] = 36
}
addon.nodeCounts[8839]	= {	-- Blindweed
	orange = "235", yellow = "260", green = "285", grey = "335",
	[24] = 112, [64] = 26, [55] = 18, [69] = 62 
}
addon.nodeCounts[8845]	= {	-- Ghost Mushroom
	orange = "245", yellow = "270", green = "295", grey = "345",
	[41] = 18, [69] = 23
}
addon.nodeCounts[8831]	= {	-- Purple Lotus
	orange = "210", yellow = "235", green = "260", grey = "310",
	[41] = 26, [23] = 28
}
addon.nodeCounts[4625]	= {	-- Firebloom
	orange = "205", yellow = "235", green = "255", grey = "305",
	[41] = 64, [51] = 102, [6] = 54, [10] = 57
}
addon.nodeCounts[3819]	= {	-- Dragon's Teeth
	orange = "195", yellow = "225", green = "245", grey = "295",
	[6] = 65
}
addon.nodeCounts[13464]	= {	-- Golden Sansam
	orange = "260", yellow = "280", green = "310", grey = "360",
	[6] = 41, [45] = 21, [23] = 147, [8] = 21, [63] = 24, [50] = 167, [27] = 71,
	[69] = 57
}
addon.nodeCounts[13463]	= {	-- Dreamfoil
	orange = "270", yellow = "295", green = "320", grey = "370",
	[10] = 17, [23] = 52, [8] = 80, [27] = 70, [69] = 50
}
addon.nodeCounts[8846]	= {	-- Gromsblood
	orange = "250", yellow = "275", green = "300", grey = "350",
	[23] = 215, [8] = 35
}
addon.nodeCounts[13465]	= {	-- Mountain Silversage
	orange = "280", yellow = "305", green = "330", grey = "380",
	[63] = 30, [50] = 36, [27] = 43, [69] = 70
}
addon.nodeCounts[13466]	= {	-- Sorrowmoss
	orange = "285", yellow = "310", green = "335", grey = "385",
	[50] = 254
}
addon.nodeCounts[13467]	= {	-- Icecap
	orange = "290", yellow = "315", green = "340", grey = "390",
	[68] = 365
}
addon.nodeCounts[22786]	= {	-- Dreaming Glory
	orange = "315", yellow = "340", green = "365", grey = "415",
	[27] = 57, [69] = 48, [36] = 101, [53] = 91, [7]= 36, [42] = 28, [37] = 45
}
addon.nodeCounts[22785]	= {	-- Felweed
	orange = "300", yellow = "325", green = "350", grey = "400",
	[27] = 196, [69] = 142, [36] = 174, [53] = 103, [7]= 74, [42] = 34
}
addon.nodeCounts[22787]	= {	-- Ragveil
	orange = "325", yellow = "350", green = "??", grey = "425",
	[69] = 212
}
addon.nodeCounts[22788]	= {	-- Flame Cap
	orange = "335", yellow = "350", green = "??", grey = "435",
	[69] = 95
}
addon.nodeCounts[22793]	= {	-- Mana Thistle
	orange = "375", yellow = "<415", green = "425", grey = "475",
	[36] = 15, [53] = 21, [42] = 16
}
addon.nodeCounts[22789]	= {	-- Terocone
	orange = "325", yellow = "350", green = "<419", grey = "425",
	[53] = 129, [42] = 24
}
addon.nodeCounts[22792]	= {	-- Nightmare Vine
	orange = "365", yellow = "390", green = "<419", grey = "465",
	[7]= 23, [42] = 111
}
addon.nodeCounts[22791]	= {	-- Netherbloom
	orange = "350", yellow = "375", green = "??", grey = "450",
	[37] = 145
}
addon.nodeCounts[36901]	= {	-- Goldclover
	orange = "350", yellow = "380", green = "<420", grey = "450",
	[29] = 148, [9] = 79, [26] = 35, [44] = 84
}
addon.nodeCounts[36904]	= {	-- Tiger Lily
	orange = "375", yellow = "??", green = "425", grey = "??",
	[29] = 47, [9] = 17, [26] = 40, [44] = 87
}
addon.nodeCounts[36907]	= {	-- Talandra's Rose
	orange = "385", yellow = "??", green = "??", grey = "??",
	[70] = 119
}
addon.nodeCounts[36903]	= {	-- Adder's Tongue
	orange = "400", yellow = "??", green = "??", grey = "??",
	[44] = 205
}
--[[ I'm going to leave firethorn out for now. I can always re-enable if someone complains
addon.nodeCounts[191303] = {	-- Firethorn
	orange = "360", yellow = "385", green = "??", grey = "??",
	[9] = 39
} ]]--
--[[ Going to leave Frozen Herb out of the data as well...
addon.nodeCounts[190173]	= {	-- Frozen Herb
	orange = "400", yellow = "425", green = "??", grey = "??",
	[70] = 113, [15] = 173, [67] = 78
}, ]]--
addon.nodeCounts[36906]	= {	-- Icethorn
	orange = "435", yellow = "??", green = "??", grey = "535",
	[57] = 287, [31] = 190
}
addon.nodeCounts[36905]	= {	-- Lichbloom
	orange = "425", yellow = "??", green = "??", grey = "525",
	[57] = 305, [31] = 190
}
addon.nodeCounts[36908]	= {	-- Frost Lotus
	orange = "425", yellow = "??", green = "??", grey = "??",
	[67] = 45
}
addon.nodeCounts[52983]	= {	-- Cinderbloom
	orange = "??", yellow = "??", green = "??", grey = "??",
	[30] = 176, [13] = 363, [61] = 256, [62] = 121
}
addon.nodeCounts[52985]	= {	-- Azshara's Veil
	orange = "??", yellow = "??", green = "??", grey = "??",
	[30] = 10, [1] = 67, [43] = 78, [33] = 42
}
addon.nodeCounts[52984]	= {	-- Stormvine
	orange = "??", yellow = "??", green = "??", grey = "??",
	[30] = 50, [1] = 55, [43] = 56, [33] = 32
}
addon.nodeCounts[52986]	= {	-- Heartblossom
	orange = "475", yellow = "??", green = "??", grey = "??",
	[13] = 862
}
addon.nodeCounts[52987]	= {	-- Twilight Jasmine
	orange = "??", yellow = "??", green = "??", grey = "??",
	[61] = 676
}
addon.nodeCounts[52988]	= {	-- Whiptail
	orange = "??", yellow = "??", green = "??", grey = "??",
	[62] = 114, [60] = 16
}

--[[
************************************************************************
CHANGELOG:

12/29/10 :	Initial version (Cataclysm)

************************************************************************
]]--