--[[
************************************************************************
Project				: Broker_Extractor
Author				: torhal
Project Revision	: 2.1.4-release
Project Date		: 20120103122947

File				: Milling.lua
Commit Author		: zhinjio
Commit Revision		: 45
Commit Date			: 20110104001913
************************************************************************
Description	:
	Milling data (from wowhead)
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor

-- This file creates several structures...
--			addon.PigmentData			-- mapping of pigments to herbs
--			addon.MillingData			-- mapping of herbs to pigments
--
-- It also adds Herbs and Pigments to the list of items that will need to be scanned
--			addon.ScanAll

addon.scanHerbs1 = "22710 2447 765 2449 785 2450 2452 2453 3820 3369 3355 3356 3357 3818 3821 3358"
addon.scanHerbs2 = "3819 4625 8831 8836 8838 8839 8845 8846 13464 13463 13465 13466 13467 22786"
addon.scanHerbs3 = "22785 22789 22787 22790 22793 22791 22792 37921 36901 36907 36904 36903"
addon.scanHerbs4 = "36906 36905 52983 52985 52984 52986 52988 52987 22788 36908"
addon.scanPigments = "39151 39334 43103 39338 43104 39339 43105 39340 43106 39341 43107 39342 43108 39343 43109 61980 61979"

local addStuff = addon.scanHerbs1.." "..addon.scanHerbs2.." "..addon.scanHerbs3
addStuff = addStuff.." "..addon.scanHerbs4.." "..addon.scanPigments

if not addon.ScanAll then
	addon.ScanAll = {}
end
for i in string.gmatch( addStuff, "%d+" ) do
	table.insert( addon.ScanAll, i )
end

if not addon.MillingData then
	addon.MillingData = {}
end

addon.MillingData[2447]		= {	-- Peacebloom
	times = 26639,		yielded = {
		[39151]	= { times = 26639,	min = 2,	max = 3 },	-- Alabaster Pigment
	} }
addon.MillingData[765]		= {	-- Silverleaf
	times = 31181,		yielded = {
		[39151]	= { times = 31181,	min = 2,	max = 3 },	-- Alabaster Pigment
	} }
addon.MillingData[2449]		= {	-- Earthroot
	times = 16513,		yielded = {
		[39151]	= { times = 16513,	min = 2,	max = 4 },	-- Alabaster Pigment
	} }
addon.MillingData[785]		= {	-- Mageroyal
	times = 43497,		yielded = {
		[39334]	= { times = 43497,	min = 2,	max = 3 },	-- Dusky Pigment
		[43103] = { times = 11016,	min = 1,	max = 3 },	-- Verdant Pigment
	} }
addon.MillingData[2450]		= {	-- Briarthorn
	times = 23736,		yielded = {
		[39334]	= { times = 23735,	min = 2,	max = 3 },	-- Dusky Pigment
		[43103] = { times = 5781,	min = 1,	max = 3 },	-- Verdant Pigment
	} }
addon.MillingData[2452]		= {	-- Swiftthistle
	times = 16309,		yielded = {
		[39334]	= { times = 16308,	min = 2,	max = 3 },	-- Dusky Pigment
		[43103] = { times = 4151,	min = 1,	max = 3 },	-- Verdant Pigment
	} }
addon.MillingData[2453]		= {	-- Bruiseweed
	times = 22669,		yielded = {
		[39334]	= { times = 22665,	min = 2,	max = 4 },	-- Dusky Pigment
		[43103] = { times = 11248,	min = 1,	max = 3 },	-- Verdant Pigment
	} }
addon.MillingData[3820]		= {	-- Stranglekelp
	times = 11263,		yielded = {
		[39334]	= { times = 11263,	min = 2,	max = 4 },	-- Dusky Pigment
		[43103] = { times = 5358,	min = 1,	max = 3 },	-- Verdant Pigment
	} }
addon.MillingData[3369]		= {	-- Grave Moss
	times = 2388,		yielded = {
		[39338]	= { times = 2387,	min = 2,	max = 3 },	-- Golden Pigment
		[43104]	= { times = 632,	min = 1,	max = 3 },	-- Burnt Pigment
	} }
addon.MillingData[3355]		= {	-- Wild Steelbloom
	times = 10866,		yielded = {
		[39338]	= { times = 10866,	min = 2,	max = 3 },	-- Golden Pigment
		[43104]	= { times = 2618,	min = 1,	max = 3 },	-- Burnt Pigment
	} }
addon.MillingData[3356]		= {	-- Kingsblood
	times = 33309,		yielded = {
		[39338]	= { times = 33306,	min = 2,	max = 4 },	-- Golden Pigment
		[43104]	= { times = 16520,	min = 1,	max = 3 },	-- Burnt Pigment
	} }
addon.MillingData[3357]		= {	-- Liferoot
	times = 16990,		yielded = {
		[39338]	= { times = 16990,	min = 2,	max = 4 },	-- Golden Pigment
		[43104]	= { times = 8422,	min = 1,	max = 3 },	-- Burnt Pigment
	} }
addon.MillingData[3818]		= {	-- Fadeleaf
	times = 16769,		yielded = {
		[39339]	= { times = 16769,	min = 2,	max = 3 },	-- Emerald Pigment
		[43105]	= { times = 3943,	min = 1,	max = 3 },	-- Indigo Pigment
	} }
addon.MillingData[3821]		= {	-- Goldthorn
	times = 5417,		yielded = {
		[39339]	= { times = 5417,	min = 2,	max = 3 },	-- Emerald Pigment
		[43105]	= { times = 1355,	min = 1,	max = 3 },	-- Indigo Pigment
	} }
addon.MillingData[3358]		= {	-- Khadgar's Whisker
	times = 34259,		yielded = {
		[39339]	= { times = 34256,	min = 2,	max = 4 },	-- Emerald Pigment
		[43105]	= { times = 16931,	min = 1,	max = 3 },	-- Indigo Pigment
	} }
addon.MillingData[3819]		= {	-- Dragon's Teeth
	times = 1780,		yielded = {
		[39339]	= { times = 1780,	min = 3,	max = 4 },	-- Emerald Pigment
		[43105]	= { times = 925,	min = 1,	max = 3 },	-- Indigo Pigment
	} }
addon.MillingData[4625]		= { -- Firebloom
	times = 9699,		yielded = {
		[39340]	= { times = 9699,	min = 2,	max = 3 },	-- Violet Pigment
		[43106]	= { times = 2484,	min = 1,	max = 3 },	-- Ruby Pigment
	} }
addon.MillingData[8831]		= { -- Purple Lotus
	times = 3334,		yielded = {
		[39340]	= { times = 3334,	min = 2,	max = 3 },	-- Violet Pigment
		[43106]	= { times = 799,	min = 1,	max = 3 },	-- Ruby Pigment
	} }
addon.MillingData[8836]		= { -- Arthas' Tears
	times = 1098,		yielded = {
		[39340]	= { times = 1097,	min = 2,	max = 3 },	-- Violet Pigment
		[43106]	= { times = 300,	min = 1,	max = 3 },	-- Ruby Pigment
	} }
addon.MillingData[8838]		= { -- Sungrass
	times = 23619,		yielded = {
		[39340]	= { times = 23619,	min = 2,	max = 3 },	-- Violet Pigment
		[43106]	= { times = 5742,	min = 1,	max = 3 },	-- Ruby Pigment
	} }
addon.MillingData[8839]		= { -- Blindweed
	times = 5000,		yielded = {
		[39340]	= { times = 5000,	min = 2,	max = 4 },	-- Violet Pigment
		[43106]	= { times = 2433,	min = 1,	max = 3 },	-- Ruby Pigment
	} }
addon.MillingData[8845]		= { -- Ghost Mushroom
	times = 588,		yielded = {
		[39340]	= { times = 587,	min = 2,	max = 4 },	-- Violet Pigment
		[43106]	= { times = 326,	min = 1,	max = 3 },	-- Ruby Pigment
		-- wowhead reports an Azure Pigment with 1 occurence here. I'm going to ignore that datapoint
	} }
addon.MillingData[8846]		= { -- Gromsblood
	times = 3622,		yielded = {
		[39340]	= { times = 3622,	min = 2,	max = 4 },	-- Violet Pigment
		[43106]	= { times = 1854,	min = 1,	max = 3 },	-- Ruby Pigment
	} }
addon.MillingData[13464]	= { -- Golden Sansam
	times = 19506,		yielded = {
		[39341]	= { times = 19506,	min = 2,	max = 4 },	-- Silvery Pigment
		[43107]	= { times = 4873,	min = 1,	max = 3 },	-- Sapphire Pigment
	} }
addon.MillingData[13463]	= { -- Dreamfoil
	times = 12249,		yielded = {
		[39341]	= { times = 12248,	min = 2,	max = 3 },	-- Silvery Pigment
		[43107]	= { times = 2981,	min = 1,	max = 3 },	-- Sapphire Pigment
	} }
addon.MillingData[13465]	= { -- Mountain Silversage
	times = 4638,		yielded = {
		[39341]	= { times = 4638,	min = 2,	max = 4 },	-- Silvery Pigment
		[43107]	= { times = 2359,	min = 1,	max = 3 },	-- Sapphire Pigment
	} }
addon.MillingData[13466]	= { -- Sorrowmoss
	times = 10216,		yielded = {
		[39341]	= { times = 10216,	min = 2,	max = 4 },	-- Silvery Pigment
		[43107]	= { times = 5165,	min = 1,	max = 3 },	-- Sapphire Pigment
	} }
addon.MillingData[13467]	= { -- Icecap
	times = 7258,		yielded = {
		[39341]	= { times = 7258,	min = 2,	max = 4 },	-- Silvery Pigment
		[43107]	= { times = 3470,	min = 1,	max = 3 },	-- Sapphire Pigment
	} }
addon.MillingData[22786]	= {	-- Dreaming Glory
	times = 14609,		yielded = {
		[39342] = { times = 14609,	min = 2,	max = 3 },	-- Nether Pigment
		[43108] = { times = 3737,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[22785] 	= {	-- Felweed
	times = 26360,		yielded = {
		[39342] = { times = 26360,	min = 2,	max = 4 },	-- Nether Pigment
		[43108] = { times = 6470,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[22789] 	= {	-- Terocone
	times = 4989,		yielded = {
		[39342] = { times = 4989,	min = 2,	max = 3 },	-- Nether Pigment
		[43108] = { times = 1189,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[22787] 	= {	-- Ragveil
	times = 6204,		yielded = {
		[39342] = { times = 6204,	min = 2,	max = 3 },	-- Nether Pigment
		[43108] = { times = 1564,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[22790] 	= {	-- Ancient Lichen
	times = 8177,		yielded = {
		[39342] = { times = 8175,	min = 2,	max = 4 },	-- Nether Pigment
		[43108] = { times = 4114,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[22793] 	= {	-- Mana Thistle
	times = 2968,		yielded = {
		[39342] = { times = 2968,	min = 2,	max = 4 },	-- Nether Pigment
		[43108] = { times = 1408,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[22791] 	= {	-- Netherbloom
	times = 1530,		yielded = {
		[39342] = { times = 1530,	min = 2,	max = 4 },	-- Nether Pigment
		[43108] = { times = 716,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[22792] 	= {	-- Nightmare Vine
	times = 2041,		yielded = {
		[39342] = { times = 2041,	min = 2,	max = 4 },	-- Nether Pigment
		[43108] = { times = 1101,	min = 1,	max = 3 },	-- Ebon Pigment
	} }
addon.MillingData[37921]	= {	-- Deadnettle
	times = 27426,		yielded = {
		[39343] = { times = 27426,	min = 2,	max = 3 },	-- Azure Pigment
		[43109] = { times = 6742,	min = 1,	max = 3 },	-- Icy Pigment
	} }
addon.MillingData[36901]	= {	-- Goldclover
	times = 39858,		yielded = {
		[39343] = { times = 39858,	min = 2,	max = 3 },	-- Azure Pigment
		[43109] = { times = 9888,	min = 1,	max = 3 },	-- Icy Pigment
	} }
addon.MillingData[36907]	= {	-- Talandra's Rose
	times = 10024,		yielded = {
		[39343] = { times = 10024,	min = 2,	max = 3 },	-- Azure Pigment
		[43109] = { times = 2450,	min = 1,	max = 3 },	-- Icy Pigment
	} }
addon.MillingData[36904]	= {	-- Tiger Lily
	times = 42587,		yielded = {
		[39343] = { times = 42587,	min = 2,	max = 4 },	-- Azure Pigment
		[43109] = { times = 10591,	min = 1,	max = 3 },	-- Icy Pigment
	} }
addon.MillingData[36903]	= {	-- Adder's Tongue
	times = 45851,		yielded = {
		[39343] = { times = 45851,	min = 2,	max = 4 },	-- Azure Pigment
		[43109] = { times = 24156,	min = 1,	max = 3 },	-- Icy Pigment
	} }
addon.MillingData[36906]	= {	-- Icethorn
	times = 38585,		yielded = {
		[39343] = { times = 38585,	min = 2,	max = 4 },	-- Azure Pigment
		[43109] = { times = 19317,	min = 1,	max = 3 },	-- Icy Pigment
	} }
addon.MillingData[36905]	= {	-- Lichbloom
	times = 22836,		yielded = {
		[39343] = { times = 22836,	min = 2,	max = 4 },	-- Azure Pigment
		[43109] = { times = 11399,	min = 1,	max = 1 },	-- Icy Pigment
	} }
addon.MillingData[52983]	= {	-- Cinderbloom
	times = 111996,		yielded = {
		[61979] = { times = 111996,	min = 2,	max = 3 },	-- Ashen Pigment
		[61980] = { times = 27310,		min = 1,	max = 3 },	-- Burning Embers
	} }
addon.MillingData[52985]	= {	-- Azshara's Veil
	times = 12704,		yielded = {
		[61979] = { times = 12704,		min = 2,	max = 3 },	-- Ashen Pigment
		[61980] = { times = 3323,		min = 1,	max = 3 },	-- Burning Embers
	} }
addon.MillingData[52984]	= {	-- Stormvine
	times = 23970,		yielded = {
		[61979] = { times = 23970,		min = 2,	max = 3 },	-- Ashen Pigment
		[61980] = { times = 5663,		min = 1,	max = 3 },	-- Burning Embers
	} }
addon.MillingData[52986]	= {	-- Heartblossom
	times = 40729,		yielded = {
		[61979] = { times = 40729,		min = 2,	max = 3 },	-- Ashen Pigment
		[61980] = { times = 9902,		min = 1,	max = 3 },	-- Burning Embers
	} }
addon.MillingData[52988]	= {	-- Whiptail
	times = 22745,		yielded = {
		[61979] = { times = 22745,		min = 2,	max = 4 },	-- Ashen Pigment
		[61980] = { times = 11256,		min = 1,	max = 3 },	-- Burning Embers
	} }
addon.MillingData[52987]	= {	-- Twilight Jasmine
	times = 25021,		yielded = {
		[61979] = { times = 25021,		min = 2,	max = 4 },	-- Ashen Pigment
		[61980] = { times = 12156,		min = 1,	max = 3 },	-- Burning Embers
	} }

if not addon.PigmentData then
	addon.PigmentData = {}
end

addon.PigmentData[39151] = {	-- Alabaster Pigment
	[2447]	= { tries = 26639,	yields = 26639,		min = 2,	max = 3 },	-- Peacebloom
	[765]	= { tries = 31181,	yields = 31181,		min = 2,	max = 3 },	-- Silverleaf
	[2449]	= { tries = 16513,	yields = 16513,		min = 2,	max = 4 },	-- Earthroot
}
addon.PigmentData[39334] = {	-- Dusky Pigment
	[785]	= { tries = 43497,	yields = 43497,		min = 2,	max = 3 },	-- Mageroyal
	[2450]	= { tries = 23736,	yields = 23735,		min = 2,	max = 3 },	-- Briarthorn
	[2452]	= { tries = 16309,	yields = 16308,		min = 2,	max = 3 },	-- Swiftthistle
	[2453]	= { tries = 22669,	yields = 22665,		min = 2,	max = 4 },	-- Bruiseweed
	[3820]	= { tries = 11263,	yields = 11263,		min = 2,	max = 4 },	-- Stranglekelp
}
addon.PigmentData[43103] = {	-- Verdant Pigment
	[785]	= { tries = 43497,	yields = 11016,		min = 1,	max = 3 },	-- Mageroyal
	[2450]	= { tries = 23736,	yields = 5781,		min = 1,	max = 3 },	-- Briarthorn
	[2452]	= { tries = 16309,	yields = 4151,		min = 1,	max = 3 },	-- Swiftthistle
	[2453]	= { tries = 22669,	yields = 11248,		min = 1,	max = 3 },	-- Bruiseweed
	[3820]	= { tries = 11263,	yields = 5358,		min = 1,	max = 3 },	-- Stranglekelp
}
addon.PigmentData[39338] = {	-- Golden Pigment
	[3369]	= { tries = 2388,	yields = 2387,		min = 2,	max = 3 },	-- Grave Moss
	[3355]	= { tries = 10866,	yields = 10866,		min = 2,	max = 3 },	-- Wild Steelbloom
	[3356]	= { tries = 33309,	yields = 33306,		min = 2,	max = 4 },	-- Kingsblood
	[3357]	= { tries = 16990,	yields = 16990,		min = 2,	max = 4 },	-- Liferoot
}
addon.PigmentData[43104] = {	-- Burnt Pigment
	[3369]	= { tries = 2388,	yields = 632,		min = 1,	max = 3 },	-- Grave Moss
	[3355]	= { tries = 10866,	yields = 2618,		min = 1,	max = 3 },	-- Wild Steelbloom
	[3356]	= { tries = 33309,	yields = 16520,		min = 1,	max = 3 },	-- Kingsblood
	[3357]	= { tries = 16990,	yields = 8422,		min = 1,	max = 3 },	-- Liferoot
}
addon.PigmentData[39339] = {	-- Emerald Pigment
	[3818]	= { tries = 16769,	yields = 16769,		min = 2,	max = 3 },	-- Fadeleaf
	[3821]	= { tries = 5417,	yields = 5417,		min = 2,	max = 3 },	-- Goldthorn
	[3358]	= { tries = 34259,	yields = 34256,		min = 2,	max = 4 },	-- Khadgar's Whisker
	[3819]	= { tries = 1780,	yields = 1780,		min = 2,	max = 4 },	-- Dragon's Teeth
}
addon.PigmentData[43105] = {	-- Indigo Pigment
	[3818]	= { tries = 16769,	yields = 3943,		min = 1,	max = 3 },	-- Fadeleaf
	[3821]	= { tries = 5417,	yields = 1355,		min = 1,	max = 3 },	-- Goldthorn
	[3358]	= { tries = 34259,	yields = 16931,		min = 1,	max = 3 },	-- Khadgar's Whisker
	[3819]	= { tries = 1780,	yields = 925,		min = 1,	max = 3 },	-- Dragon's Teeth
}
addon.PigmentData[39340] = {	-- Violet Pigment
	[4625]	= { tries = 9699,	yields = 9699,		min = 2,	max = 3 },	-- Firebloom
	[8831]	= { tries = 3334,	yields = 3334,		min = 2,	max = 3 },	-- Purple Lotus
	[8836]	= { tries = 1098,	yields = 1097,		min = 2,	max = 3 },	-- Arthas' Tears
	[8838]	= { tries = 23619,	yields = 23619,		min = 2,	max = 3 },	-- Sungrass
	[8839]	= { tries = 5000,	yields = 5000,		min = 2,	max = 4 },	-- Blindweed
	[8845]	= { tries = 588,	yields = 587,		min = 2,	max = 4 },	-- Ghost Mushroom
	[8846]	= { tries = 3622,	yields = 3622,		min = 2,	max = 4 },	-- Gromsblood
}
addon.PigmentData[43106] = {	-- Ruby Pigment
	[4625]	= { tries = 9699,	yields = 2484,		min = 1,	max = 3 },	-- Firebloom
	[8831]	= { tries = 3334,	yields = 799,		min = 1,	max = 3 },	-- Purple Lotus
	[8836]	= { tries = 1098,	yields = 300,		min = 1,	max = 3 },	-- Arthas' Tears
	[8838]	= { tries = 23619,	yields = 5742,		min = 1,	max = 3 },	-- Sungrass
	[8839]	= { tries = 5000,	yields = 2433,		min = 1,	max = 3 },	-- Blindweed
	[8845]	= { tries = 588,	yields = 326,		min = 1,	max = 3 },	-- Ghost Mushroom
	[8846]	= { tries = 3622,	yields = 1854,		min = 1,	max = 3 },	-- Gromsblood
}
addon.PigmentData[39341] = {	-- Silvery Pigment
	[13464]	= { tries = 19506,	yields = 19506,		min = 2,	max = 4 },	-- Golden Sansam
	[13463]	= { tries = 12249,	yields = 12248,		min = 2,	max = 3 },	-- Dreamfoil
	[13465]	= { tries = 4638,	yields = 4638,		min = 2,	max = 4 },	-- Mountain Silversage
	[13466]	= { tries = 10216,	yields = 10216,		min = 2,	max = 4 },	-- Sorrowmoss
	[13467]	= { tries = 7258,	yields = 7258,		min = 2,	max = 4 },	-- Icecap
}
addon.PigmentData[43107] = {	-- Sapphire Pigment
	[13464]	= { tries = 19506,	yields = 4873,		min = 1,	max = 3 },	-- Golden Sansam
	[13463]	= { tries = 12249,	yields = 2981,		min = 1,	max = 3 },	-- Dreamfoil
	[13465]	= { tries = 4638,	yields = 2359,		min = 1,	max = 3 },	-- Mountain Silversage
	[13466]	= { tries = 10216,	yields = 5165,		min = 1,	max = 3 },	-- Sorrowmoss
	[13467]	= { tries = 7258,	yields = 3470,		min = 1,	max = 3 },	-- Icecap
}
addon.PigmentData[39342] = {	-- Nether Pigment
	[22786] = { tries = 14609,	yields = 14609,		min = 2,	max = 3 },	-- Dreaming Glory
	[22785] = { tries = 26360,	yields = 26360,		min = 2,	max = 4 },	-- Felweed
	[22789] = { tries = 4989,	yields = 4989,		min = 2,	max = 3 },	-- Terocone
	[22787] = { tries = 6204,	yields = 6204,		min = 2,	max = 3 },	-- Ragveil
	[22790] = { tries = 8177,	yields = 8175,		min = 2,	max = 4 },	-- Ancient Lichen
	[22793] = { tries = 2968,	yields = 2968,		min = 2,	max = 4 },	-- Mana Thistle
	[22791] = { tries = 1530,	yields = 1530,		min = 2,	max = 4 },	-- Netherbloom
	[22792] = { tries = 2041,	yields = 2041,		min = 2,	max = 4 },	-- Nightmare Vine
}
addon.PigmentData[43108] = {	-- Ebon Pigment
	[22786] = { tries = 14609,	yields = 3737,		min = 1,	max = 3 },	-- Dreaming Glory
	[22785] = { tries = 26360,	yields = 6470,		min = 1,	max = 3 },	-- Felweed
	[22789] = { tries = 4989,	yields = 1189,		min = 1,	max = 3 },	-- Terocone
	[22787] = { tries = 6204,	yields = 1564,		min = 1,	max = 3 },	-- Ragveil
	[22790] = { tries = 8177,	yields = 4114,		min = 1,	max = 3 },	-- Ancient Lichen
	[22793] = { tries = 2968,	yields = 1408,		min = 1,	max = 3 },	-- Mana Thistle
	[22791] = { tries = 1530,	yields = 716,		min = 1,	max = 3 },	-- Netherbloom
	[22792] = { tries = 2041,	yields = 1101,		min = 1,	max = 3 },	-- Nightmare Vine
}
addon.PigmentData[39343] = {	-- Azure Pigment
	[37921] = { tries = 27426,	yields = 27426,		min = 2,	max = 3 },	-- Deadnettle
	[36901] = { tries = 39858,	yields = 39858,		min = 2,	max = 3 },	-- Goldclover
	[36907] = { tries = 10024,	yields = 10024,		min = 2,	max = 3 },	-- Talandra's Rose
	[36904] = { tries = 42587,	yields = 42587,		min = 2,	max = 4 },	-- Tiger Lily
	[36903] = { tries = 45851,	yields = 45851,		min = 2,	max = 4 },	-- Adder's Tongue
	[36906] = { tries = 38585,	yields = 38585,		min = 2,	max = 4 },	-- Icethorn
	[36905] = { tries = 22836,	yields = 22836,		min = 2,	max = 4 },	-- Lichbloom
}
addon.PigmentData[43109] = {	-- Icy Pigment
	[37921] = { tries = 27426,	yields = 6742,		min = 1,	max = 3 },	-- Deadnettle
	[36901] = { tries = 39858,	yields = 9888,		min = 1,	max = 3 },	-- Goldclover
	[36907] = { tries = 10024,	yields = 2450,		min = 1,	max = 3 },	-- Talandra's Rose
	[36904] = { tries = 42587,	yields = 10591,		min = 1,	max = 3 },	-- Tiger Lily
	[36903] = { tries = 45851,	yields = 24156,		min = 1,	max = 3 },	-- Adder's Tongue
	[36906] = { tries = 38585,	yields = 19317,		min = 1,	max = 3 },	-- Icethorn
	[36905] = { tries = 22836,	yields = 11399,		min = 1,	max = 1 },	-- Lichbloom
}
addon.PigmentData[61979] = {	-- Ashen Pigment
	[52983]	= {	tries = 111996,		yields = 111996,	min = 2,	max = 3 },	-- Cinderbloom
	[52985]	= {	tries = 12704,		yields = 12704,		min = 2,	max = 3 },	-- Azshara's Veil
	[52984]	= {	tries = 23970,		yields = 23970,		min = 2,	max = 3 },	-- Stormvine
	[52986]	= {	tries = 40729, 	yields = 40729,		min = 2,	max = 3 },	-- Heartblossom
	[52988]	= {	tries = 22745,		yields = 22745,		min = 2,	max = 4 },	-- Whiptail
	[52987]	= {	tries = 25021,		yields = 25021,		min = 2,	max = 4 },	-- Twilight Jasmine
}
addon.PigmentData[61980] = {	-- Burning Embers
	[52983]	= {	tries = 111996,		yields = 27310,		min = 1,	max = 3 },	-- Cinderbloom
	[52985]	= {	tries = 12704,		yields = 3323,		min = 1,	max = 3 },	-- Azshara's Veil
	[52984]	= {	tries = 23970,		yields = 5663,		min = 1,	max = 3 },	-- Stormvine
	[52986]	= {	tries = 40729, 	yields = 9902,		min = 1,	max = 3 },	-- Heartblossom
	[52988]	= {	tries = 22745,		yields = 11256,		min = 1,	max = 3 },	-- Whiptail
	[52987]	= {	tries = 25021,		yields = 12156,		min = 1,	max = 3 },	-- Twilight Jasmine
}

--[[
************************************************************************
CHANGELOG:

12/26/10 :	Updated for Cataclysm
11/20/08 : 	Initial version
************************************************************************
]]--