--[[
************************************************************************
Project				: Broker_Extractor
Author				: torhal
Project Revision	: 2.1.4-release
Project Date		: 20120103122947

File				: Notes.lua
Commit Author		: zhinjio
Commit Revision		: 49
Commit Date			: 20110105190611
************************************************************************
Description	:
	Notes that appear at the bottom of the various tooltips
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor

-- tipNotes give a list of notes that should appear at the bottom of specific tooltips
-- nodeNotes give the indicators that should appear next to an herb/ore name to show
-- 		that a note applies to that type of herb or ore
if not addon.tipNotes then
	addon.tipNotes = {}
end
if not addon.nodeNotes then
	addon.nodeNotes = {}
end
addon.tipNotes[1] = {
	[1] = L["* have a chance to drop Swiftthistle"]
}
addon.tipNotes[2] = {
	[1] = L["* also has 26 nodes in Swamp of Sorrows"]
}
addon.tipNotes[3] = {
	[1] = L["* has a chance to drop Wildvine"]
}
addon.tipNotes[4] = {
	[1] = L["Ancient Lichen can be found in several Outland instances"],
	[2] = L["Fel Lotus has a low chance to drop from all Outland herbs"]
}
addon.tipNotes[5] = {
	[1] = L["* also has a chance to drop Deadnettle"],
	[3] = L["** may also drop from any Northrend herb"]
}
addon.tipNotes[21] = {
	[1] = L["Weights indicate mob frequency that skin into that leather"]
}
addon.tipNotes[22] = {
	[1] = L["Weights indicate mob frequency that skin into that leather"]
}
addon.tipNotes[23] = {
	[1] = L["Weights indicate mob frequency that skin into that leather"]
}

addon.nodeNotes[785] = " *"
addon.nodeNotes[2450] = " *"
addon.nodeNotes[3820] = " *"
addon.nodeNotes[8831] = " *"
addon.nodeNotes[36901] = " *"
addon.nodeNotes[36907] = " *"
addon.nodeNotes[36904] = " *"
addon.nodeNotes[36908] = " * **"

--[[
************************************************************************
CHANGELOG:

1/4/10		: Initial version (Cataclysm)
************************************************************************
]]--