--[[
************************************************************************
Project				: Broker_Extractor
Author				: torhal
Project Revision	: 2.1.4-release
Project Date		: 20120103122947

File				: OreNodes.lua
Commit Author		: zhinjio
Commit Revision		: 41
Commit Date			: 20110102155543
************************************************************************
Description	:
	Ore Nodes database file
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor

if not addon.nodeCounts then
	addon.nodeCounts = {}
end
addon.nodeCounts[2770]	= {	-- Copper Vein
	orange = "1", yellow = "25", green = "50", grey = "100",
	[17] = 202, [12] = 145, [38] = 142, [21] = 122, [4] = 105, [25] = 101, 
	[16] = 74, [56] = 55, [35] = 48, [59] = 45, [46] = 43, [65] = 33, [22] = 32,
	[5] = 15, [34] = 82, [49] = 24, [3] = 18, [40] = 46, [18] = 35
}
addon.nodeCounts[2775]	= {	-- Silver Vein
	orange = "75", yellow = "100", green = "125", grey = "175",
	[34] = 15, [49] = 111, [40] = 44, [66] = 37, [28] = 149, [18] = 34, [47] = 27,
	[39] = 189, [54] = 42, [14] = 45, [24] = 96, [2] = 80, [58] = 19, [55] = 17
}
addon.nodeCounts[2771]	= {	-- Tin Vein
	orange = "65", yellow = "90", green = "115", grey = "165",
	[49] = 106, [3] = 172, [40] = 16, [66] = 28, [28] = 176, [18] = 20, [39] = 186,
	[2] = 21
}
addon.nodeCounts[2772]	= {	-- Iron Deposit
	orange = "125", yellow = "150", green = "175", grey = "225",
	[18] = 19, [47] = 99, [39] = 38, [54] = 110, [14] = 95, [24] = 215, [64] = 176,
	[2] = 82, [58] = 48, [55] = 31, [20] = 116
}
addon.nodeCounts[2776]	= {	-- Gold Vein
	orange = "155", yellow = "175", green = "205", grey = "255",
	[14] = 18, [24] = 29, [64] = 99, [58] = 24, [20] = 60, [10] = 27, [6] = 31,
	[23] = 19, [41] = 27
}
addon.nodeCounts[3858]	= {	-- Mithril Deposit
	orange = "175", yellow = "200", green = "225", grey = "275",
	[2] = 20, [58] = 171, [20] = 79, [10] = 221, [6] = 215, [23] = 210, [41] = 162,
	[51] = 95, [63] = 19
}
addon.nodeCounts[7911]	= {	-- Truesilver Deposit
	orange = "205", yellow = "255", green = "280", grey = "330",
	[58] = 76, [55] = 21, [20] = 34, [10] = 97, [6] = 115, [23] = 82, [41] = 96,
	[51] = 57, [63] = 31, [68] = 163, [45] = 36, [8] = 59, [50] = 35
}
addon.nodeCounts[10620]	= {	-- Small Thorium Vein
	orange = "230", yellow = "270", green = "280", grey = "345",
	[63] = 154, [68] = 342, [45] = 131, [8] = 94, [50] = 89
}
addon.nodeCounts["rtv"] = { -- Rich Thorium Vein
	orange = "255", yellow = "300", green = "325", grey = "350",
	[63] = 116, [68] = 269, [45] = 60, [8] = 34, [50] = 44,
}
addon.nodeCounts[23424]	= {	-- Fel Iron Vein
	orange = "275", yellow = "325", green = "350", grey = "400",
	[27] = 266, [69] = 76, [36] = 71, [53] = 66, [42] = 59, [7] = 46, [37] = 31
}
addon.nodeCounts[23425] = {	-- Adamantite Deposit
	orange = "325", yellow = "350", green = "375", grey = "425",
	[69] = 49, [36] = 164, [53] = 87, [42] = 75, [7] = 120, [37] = 72, [32] = 16
}
addon.nodeCounts["rad"] = { -- Rich Adamantite Deposit
	orange = "350", yellow = "375", green = "400", grey = "450",
	[36] = 172, [53] = 28, [42] = 73, [7] = 14, [37] = 75, [32] = 16
}
addon.nodeCounts[23426] = { -- Khorium Vein
	orange = "375", yellow = "400", green = "425", grey = "??",
	[36] = 117, [53] = 42, [42] = 26, [7] = 29, [37] = 17, [32] = 9
}
addon.nodeCounts[36909]	= {	-- Cobalt Deposit
	orange = "350", yellow = "375", green = "400", grey = "425",
	[29] = 147, [9] = 129, [70] = 113, [15] = 108, [26] = 70
}
addon.nodeCounts["rcd"] = { -- Rich Cobalt Deposit
	orange = "375", yellow = "400", green = "425", grey = "450",
	[29] = 79, [9] = 91, [70] = 68, [15] = 69, [26] = 53
}
addon.nodeCounts[36912] = {	-- Saronite Deposit
	orange = "400", yellow = "425", green = "450", grey = "??",
	[44] = 322, [57] = 145, [31] = 372, [67] = 116
}
addon.nodeCounts["rsd"] = {	-- Rich Saronite Deposit
	orange = "425", yellow = "450", green = "??", grey = "??",
	[15] = 19, [44] = 171, [57] = 37, [31] = 294, [67] = 124
}
addon.nodeCounts[36910] = {	-- Titanium Ore
	orange = "450", yellow = "??", green = "??", grey = "??",
	[44] = 156, [57] = 92, [31] = 319, [67] = 130
}
addon.nodeCounts[53038] = {	-- Obsidium Deposit
	orange = "??", yellow = "??", green = "??", grey = "??",
	[30] = 273, [1] = 104, [43] = 101, [33] = 50, [13] = 240
}
addon.nodeCounts["rod"] = {	-- Rich Obsidium Deposit
	orange = "??", yellow = "??", green = "??", grey = "??",
	[13] = 512
}
addon.nodeCounts[52185] = {	-- Elementium Vein
	orange = "??", yellow = "??", green = "??", grey = "??",
	[13] = 661, [61] = 470, [62] = 230, [60] = 20
}
addon.nodeCounts["rev"] = {	-- Rich Elementium Vein
	orange = "??", yellow = "??", green = "??", grey = "??",
	[13] = 472, [61] = 424, [62] = 212, [60] = 17
}
addon.nodeCounts[52183] = {	-- Pyrite Deposit
	orange = "??", yellow = "??", green = "??", grey = "??",
	[61] = 453, [62] = 229
}
addon.nodeCounts["rpd"] = {	-- Rich Pyrite Deposit
	orange = "??", yellow = "??", green = "??", grey = "??",
	[60] = 23
}

--[[
************************************************************************
CHANGELOG:

12/29/10 :	Initial version (Cataclysm)

************************************************************************
]]--