--[[
************************************************************************
Project				: Broker_Extractor
Author				: torhal
Project Revision	: 2.1.4-release
Project Date		: 20120103122947

File				: Prospecting.lua
Commit Author		: zhinjio
Commit Revision		: 45
Commit Date			: 20110104001913
************************************************************************
Description	:
	Prospecting data (from wowhead)
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor

-- This file creates several structures...
--			addon.ProspectingData	-- mapping of ore to gems
--			addon.GemData			-- mapping of gems to ore
--
-- It also adds Ore, Gems (and the one Powder) to the list of items that will need to be scanned
--			addon.ScanAll
addon.scanOre = "2770 2771 2772 3858 10620 23424 23425 36909 36912 36910 53038 52185 52183"
addon.scanOre2 = "2775 2776 7911 23426"
addon.scanPowder = "24243"
addon.scanSimpleGems = "774 818 1210 1705 1206 7909 3864 1529 7910 12800 12364 12799 12361"
addon.scanBCGems = "23117 23077 23079 21929 23112 23107 23440 23436 23441 23439 23438 23437"
addon.scanLKGems = "36917 36923 36932 36929 36926 36920 36921 36933 36930 36918 36924 36927"
addon.scanLKEpics = "36931 36922 36919 36928 36934 36925"
addon.scanCata = "52177 52181 52182 52180 52178 52179 52194 52190 52195 52192 52193 52191"
-- there will eventually be some cata epics here as well...
addon.scanCataEpics = ""

local addStuff = addon.scanOre.." "..addon.scanPowder.." "..addon.scanSimpleGems
addStuff = addStuff.." "..addon.scanOre2.." "..addon.scanBCGems.." "..addon.scanLKGems
addStuff = addStuff.." "..addon.scanLKEpics.." "..addon.scanCata
-- there will eventually be some cata epics here as well...
addStuff = addStuff.." "..addon.scanCataEpics

if not addon.ScanAll then
	addon.ScanAll = {}
end
for i in string.gmatch( addStuff, "%d+" ) do
	table.insert( addon.ScanAll, i )
end

if not addon.ProspectingData then
	addon.ProspectingData = {}
end

addon.ProspectingData[2770]		= {	-- Copper Ore
	times = 9240,	yielded = {
		[774]	= { times = 4737,	min = 1,	max = 1	},	-- Malachite
		[818]	= { times = 4503,	min = 1,	max = 1 },	-- Tigerseye
		[1210]	= { times = 990,	min = 1,	max = 1 },	-- Shadowgem
	} }
addon.ProspectingData[2771]		= {	-- Tin Ore
	times = 12678,	yielded = {
		[1206]	= { times = 4534,	min = 1,	max = 2 },	-- Moss Agate
		[1705]	= { times = 5004,	min = 1,	max = 2 },	-- Lesser Moonstone
		[1210]	= { times = 4801,	min = 1,	max = 2 },	-- Shadowgem
		[3864]	= { times = 412,	min = 1,	max = 1 },	-- Citrine
		[1529]	= { times = 430,	min = 1,	max = 1 },	-- Jade
		[7909]	= { times = 359,	min = 1,	max = 1 },	-- Aquamarine
	} }
addon.ProspectingData[2772]		= {	-- Iron Ore
	times = 13899,	yielded = {
		[1529]	= { times = 4761,	min = 1,	max = 2 },	-- Jade
		[1705]	= { times = 5087,	min = 1,	max = 2 },	-- Lesser Moonstone
		[3864]	= { times = 4941,	min = 1,	max = 2 },	-- Citrine
		[7909]	= { times = 624,	min = 1,	max = 1 },	-- Aquamarine
		[7910]	= { times = 699,	min = 1,	max = 1 },	-- Star Ruby
	} }
addon.ProspectingData[3858]		= {	-- Mithril Ore
	times = 11404,	yielded = {
		[7909]	= { times = 4100,	min = 1,	max = 2 },	-- Aquamarine
		[7910]	= { times = 4111,	min = 1,	max = 2 },	-- Star Ruby
		[3864]	= { times = 3964,	min = 1,	max = 2 },	-- Citrine
		[12799]	= { times = 297,	min = 1,	max = 1 },	-- Large Opal
		[12361]	= { times = 283,	min = 1,	max = 1 },	-- Blue Sapphire
		[12800]	= { times = 310,	min = 1,	max = 1 },	-- Azerothian Diamond
		[12364]	= { times = 296,	min = 1,	max = 1 },	-- Huge Emerald
	} }
addon.ProspectingData[10620]	= {	-- Thorium Ore
	times = 15960,	yielded = {
		[7910]	= {	times = 2554,	min = 1,	max = 2 },	-- Star Ruby
		[12364]	= {	times = 4788,	min = 1,	max = 2 },	-- Huge Emerald
		[12799]	= {	times = 5039,	min = 1,	max = 2 },	-- Large Opal
		[12361]	= {	times = 4934,	min = 1,	max = 2 },	-- Blue Sapphire
		[12800]	= {	times = 5096,	min = 1,	max = 2 },	-- Azerothian Diamond
	} }
addon.ProspectingData[23424]	= {	-- Fel Iron Ore
	times = 9709,	yielded = {
		[21929] = { times = 1801,	min = 1,	max = 2 },	-- Flame Spessarite
		[23079] = { times = 1703,	min = 1,	max = 2 },	-- Deep Peridot
		[23112] = { times = 1812,	min = 1,	max = 2 },	-- Golden Draenite
		[23107] = { times = 1778,	min = 1,	max = 2 },	-- Shadow Draenite
		[23077] = { times = 1710,	min = 1,	max = 2 },	-- Blood Garnet
		[23117] = { times = 1680,	min = 1,	max = 2 },	-- Azure Moonstone
		[23439] = { times = 128,	min = 1,	max = 1 },	-- Noble Topaz
		[23436] = { times = 105,	min = 1,	max = 1 },	-- Living Ruby
		[23437] = { times = 101,	min = 1,	max = 1 },	-- Talasite
		[23438] = { times = 124,	min = 1,	max = 1 },	-- Star of Elune
		[23440] = { times = 119,	min = 1,	max = 1 },	-- Dawnstone
		[23441] = { times = 112,	min = 1,	max = 1 },	-- Nightseye
	} }
addon.ProspectingData[23425] 	= {	-- Adamantite Ore
	times = 16079,	yielded = {
		[24243] = { times = 16079,	min = 1,	max = 1 },	-- Adamantite Powder
		[21929] = { times = 2893,	min = 1,	max = 2 },	-- Flame Spessarite
		[23079] = { times = 2985,	min = 1,	max = 2 },	-- Deep Peridot
		[23077] = { times = 2865,	min = 1,	max = 2 },	-- Blood Garnet
		[23112] = { times = 3053,	min = 1,	max = 2 },	-- Golden Draenite
		[23107] = { times = 2826,	min = 1,	max = 2 },	-- Shadow Draenite
		[23117] = { times = 2719,	min = 1,	max = 2 },	-- Azure Moonstone
		[23437] = { times = 567,	min = 1,	max = 1 },	-- Talasite
		[23439] = { times = 684,	min = 1,	max = 1 },	-- Noble Topaz
		[23440] = { times = 609,	min = 1,	max = 1 },	-- Dawnstone
		[23436] = { times = 575,	min = 1,	max = 1 },	-- Living Ruby
		[23438] = { times = 549,	min = 1,	max = 1 },	-- Star of Elune
		[23441] = { times = 604,	min = 1,	max = 1 },	-- Nightseye
	} }
addon.ProspectingData[36909]	= {	-- Cobalt Ore
	times = 12296,	yielded = {
		[36923] = { times = 2867,	min = 1,	max = 2 },	-- Chalcedony
		[36929] = { times = 2830,	min = 1,	max = 2 },	-- Huge Citrine
		[36917] = { times = 2814,	min = 1,	max = 2 },	-- Bloodstone
		[36926] = { times = 2870,	min = 1,	max = 2 },	-- Shadow Crystal
		[36932] = { times = 2981,	min = 1,	max = 2 },	-- Dark Jade
		[36920] = { times = 2809,	min = 1,	max = 2 },	-- Sun Crystal
		[36933] = { times = 170,	min = 1,	max = 1 },	-- Forest Emerald
		[36918] = { times = 147,	min = 1,	max = 1 },	-- Scarlet Ruby
		[36927] = { times = 153,	min = 1,	max = 1 },	-- Twilight Opal
		[36921] = { times = 143,	min = 1,	max = 1 },	-- Autumn's Glow
		[36924] = { times = 169,	min = 1,	max = 1 },	-- Sky Sapphire
		[36930] = { times = 116,	min = 1,	max = 1 },	-- Monarch Topaz
	} }
addon.ProspectingData[36912] 	= {	-- Saronite Ore
	times = 44500,	yielded = {
		[36929] = { times = 8240,	min = 1,	max = 2 },	-- Huge Citrine
		[36932] = { times = 8128,	min = 1,	max = 2 },	-- Dark Jade
		[36923] = { times = 8033,	min = 1,	max = 2 },	-- Chalcedony
		[36920] = { times = 8168,	min = 1,	max = 2 },	-- Sun Crystal
		[36926] = { times = 7735,	min = 1,	max = 2 },	-- Shadow Crystal
		[36917] = { times = 8002,	min = 1,	max = 2 },	-- Bloodstone
		[36933] = { times = 1848,	min = 1,	max = 2 },	-- Forest Emerald
		[36918] = { times = 1769,	min = 1,	max = 2 },	-- Scarlet Ruby
		[36924] = { times = 2065,	min = 1,	max = 2 },	-- Sky Sapphire
		[36930] = { times = 1781,	min = 1,	max = 2 },	-- Monarch Topaz
		[36921] = { times = 1815,	min = 1,	max = 2 },	-- Autumn's Glow
		[36927] = { times = 1855,	min = 1,	max = 2 },	-- Twilight Opal
	} }
addon.ProspectingData[36910] 	= {	-- Titanium Ore
	times = 24203,	yielded = {
		[36929] = { times = 5747,	min = 1,	max = 2 },	-- Huge Citrine
		[36932] = { times = 5691,	min = 1,	max = 2 },	-- Dark Jade
		[36923] = { times = 5756,	min = 1,	max = 2 },	-- Chalcedony
		[36920] = { times = 5587,	min = 1,	max = 2 },	-- Sun Crystal
		[36926] = { times = 5808,	min = 1,	max = 2 },	-- Shadow Crystal
		[36917] = { times = 5934,	min = 1,	max = 2 },	-- Bloodstone
		[36933] = { times = 1003,	min = 1,	max = 2 },	-- Forest Emerald
		[36918] = { times = 989,	min = 1,	max = 2 },	-- Scarlet Ruby
		[36924] = { times = 1003,	min = 1,	max = 2 },	-- Sky Sapphire
		[36930] = { times = 1073,	min = 1,	max = 2 },	-- Monarch Topaz
		[36921] = { times = 1011,	min = 1,	max = 2 },	-- Autumn's Glow
		[36927] = { times = 932,	min = 1,	max = 2 },	-- Twilight Opal
		[36931] = { times = 1147,	min = 1,	max = 2 },	-- Ametrine
		[36922] = { times = 1107,	min = 1,	max = 2 },	-- King's Amber
		[36919] = { times = 966,	min = 1,	max = 2 },	-- Cardinal Ruby
		[36928] = { times = 1075,	min = 1,	max = 2 },	-- Dreadstone
		[36934] = { times = 1084,	min = 1,	max = 2 },	-- Eye of Zul
		[36925] = { times = 1084,	min = 1,	max = 2 },	-- Majestic Zircon
	} }
addon.ProspectingData[53038] 	= {	-- Obsidium Ore
	times = 209579,	yielded = {
		[52177] = { times = 49416,	min = 1,	max = 2 },	-- Carnelian
		[52181] = { times = 49832,	min = 1,	max = 2 },	-- Hessonite
		[52182] = { times = 49258,	min = 1,	max = 2 },	-- Jasper
		[52180] = { times = 49439,	min = 1,	max = 2 },	-- Nightstone
		[52178] = { times = 50003,	min = 1,	max = 2 },	-- Zephyrite
		[52179] = { times = 48872,	min = 1,	max = 2 },	-- Alicite
		[52194] = { times = 2735,	min = 1,	max = 1 },	-- Demonseye
		[52190] = { times = 2631,	min = 1,	max = 1 },	-- Inferno Ruby
		[52195] = { times = 2560,	min = 1,	max = 1 },	-- Amberjewel
		[52192] = { times = 2571,	min = 1,	max = 1 },	-- Dream Emerald
		[52193] = { times = 2589,	min = 1,	max = 1 },	-- Ember Topaz
		[52191] = { times = 2482,	min = 1,	max = 1 },	-- Ocean Sapphire
	} }
addon.ProspectingData[52185] 	= {	-- Elementium Ore
	times = 328336,	yielded = {
		[52177] = { times = 59227,	min = 1,	max = 2 },	-- Carnelian
		[52181] = { times = 59359,	min = 1,	max = 2 },	-- Hessonite
		[52182] = { times = 60244,	min = 1,	max = 2 },	-- Jasper
		[52180] = { times = 58580,	min = 1,	max = 2 },	-- Nightstone
		[52178] = { times = 58882,	min = 1,	max = 2 },	-- Zephyrite
		[52179] = { times = 59003,	min = 1,	max = 2 },	-- Alicite
		[52194] = { times = 14649,	min = 1,	max = 2 },	-- Demonseye
		[52190] = { times = 14763,	min = 1,	max = 2 },	-- Inferno Ruby
		[52195] = { times = 14614,	min = 1,	max = 2 },	-- Amberjewel
		[52192] = { times = 14992,	min = 1,	max = 2 },	-- Dream Emerald
		[52193] = { times = 14664,	min = 1,	max = 2 },	-- Ember Topaz
		[52191] = { times = 14348,	min = 1,	max = 2 },	-- Ocean Sapphire
	} }
addon.ProspectingData[52183] 	= {	-- Pyrite Ore
	times = 4495,	yielded = {
		[52327] = { times = 4495,	min = 1,	max = 3 },	-- Volatile Earth
		[52177] = { times = 722,	min = 1,	max = 1 },	-- Carnelian
		[52181] = { times = 748,	min = 1,	max = 1 },	-- Hessonite
		[52182] = { times = 807,	min = 1,	max = 1 },	-- Jasper
		[52180] = { times = 718,	min = 1,	max = 1 },	-- Nightstone
		[52178] = { times = 781,	min = 1,	max = 1 },	-- Zephyrite
		[52179] = { times = 719,	min = 1,	max = 1 },	-- Alicite
		[52194] = { times = 352,	min = 1,	max = 2 },	-- Demonseye
		[52190] = { times = 308,	min = 1,	max = 2 },	-- Inferno Ruby
		[52195] = { times = 314,	min = 1,	max = 2 },	-- Amberjewel
		[52192] = { times = 377,	min = 1,	max = 2 },	-- Dream Emerald
		[52193] = { times = 345,	min = 1,	max = 2 },	-- Ember Topaz
		[52191] = { times = 286,	min = 1,	max = 2 },	-- Ocean Sapphire
	} }

if not addon.GemData then
	addon.GemData = {}
end
-- including the one single remaining Powder in here too, just to make things simpler
addon.GemData[24243] 	= {	-- Adamantite Powder
	[23425] = { tries = 529814,	yields = 529813,	min = 1,	max = 1 },	-- Adamantite Ore
}
-- And ... Volatile Earth
addon.GemData[52327] 	= {	-- Volatile Earth
	[52183] = { tries = 4495,	yields = 4495,	min = 1,	max = 3 },	-- Pyrite Ore
}
-- Gems
addon.GemData[1705]		= {	-- Lesser Moonstone
	[2771]	= { tries = 12678,	yields = 5004,		min = 1,	max = 2 },	-- Tin Ore
	[2772]	= { tries = 13899,	yields = 5087,		min = 1,	max = 2 },	-- Iron Ore
}
addon.GemData[774]		= { -- Malachite
	[2770]	= { tries = 9240,	yields = 4737,		min = 1,	max = 1 },	-- Copper Ore
}
addon.GemData[1210]		= { -- Shadowgem
	[2770]	= { tries = 9240,	yields = 990,		min = 1,	max = 1 },	-- Copper Ore
	[2771]	= { tries = 12678,	yields = 4801,		min = 1,	max = 2 },	-- Tin Ore
}
addon.GemData[818]		= { -- Tigerseye
	[2770]	= {	tries = 9240,	yields = 4503,		min = 1,	max = 1 },	-- Copper Ore
}
addon.GemData[7909]		= {	-- Aquamarine
	[2771]	= { tries = 12678,	yields = 359,		min = 1,	max = 1 },	-- Tin Ore
	[2772]	= { tries = 13899,	yields = 624,		min = 1,	max = 1 },	-- Iron Ore
	[3858]	= { tries = 11404,	yields = 4100,		min = 1,	max = 2 },	-- Mithril Ore
}
addon.GemData[1206]		= {	-- Moss Agate
	[2771]	= { tries = 12678,	yields = 4534,		min = 1,	max = 2 },	-- Tin Ore
}
addon.GemData[3864]		= {	-- Citrine
	[2771]	= { tries = 12678,	yields = 412,		min = 1,	max = 1 },	-- Tin Ore
	[2772]	= { tries = 13899,	yields = 4941,		min = 1,	max = 2 },	-- Iron Ore
	[3858]	= { tries = 11404,	yields = 3964,		min = 1,	max = 2 },	-- Mithril Ore
}
addon.GemData[1529]		= {	-- Jade
	[2771]	= { tries = 12678,	yields = 430,		min = 1,	max = 1 },	-- Tin Ore
	[2772]	= { tries = 13899,	yields = 4761,		min = 1,	max = 2 },	-- Iron Ore
}
addon.GemData[7910]		= {	-- Star Ruby
	[2772]	= { tries = 13899,	yields = 699,		min = 1,	max = 1 },	-- Iron Ore
	[3858]	= { tries = 11404,	yields = 4111,		min = 1,	max = 2 },	-- Mithril Ore
	[10620]	= { tries = 15960,	yields = 2554,		min = 1,	max = 2 },	-- Thorium Ore
}
addon.GemData[12361]	= {	-- Blue Sapphire
	[3858]	= { tries = 11404,	yields = 283,		min = 1,	max = 1 },	-- Mithril Ore
	[10620]	= { tries = 15960,	yields = 4934,		min = 1,	max = 2 },	-- Thorium Ore
}
addon.GemData[12364]	= {	-- Huge Emerald
	[3858]	= { tries = 11404,	yields = 296,		min = 1,	max = 1 },	-- Mithril Ore
	[10620]	= { tries = 15960,	yields = 4788,		min = 1,	max = 2 },	-- Thorium Ore
}
addon.GemData[12799]	= {	-- Large Opal
	[3858]	= { tries = 11404,	yields = 297,		min = 1,	max = 1 },	-- Mithril Ore
	[10620]	= { tries = 15960,	yields = 5039,		min = 1,	max = 2 },	-- Thorium Ore
}
addon.GemData[12800]	= {	-- Azerothian Diamond
	[3858]	= { tries = 11404,	yields = 310,		min = 1,	max = 1 },	-- Mithril Ore
	[10620]	= { tries = 15960,	yields = 5096,		min = 1,	max = 2 },	-- Thorium Ore
}
addon.GemData[23117]	= {	-- Azure Moonstone
	[23424] = { tries = 9709,	yields = 1680,		min = 1,	max = 2 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 2719,		min = 1,	max = 2 },	-- Adamantite Ore
}
addon.GemData[23077]	= {	-- Blood Garnet
	[23424] = { tries = 9709,	yields = 1710,		min = 1,	max = 2 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 2865,		min = 1,	max = 2 },	-- Adamantite Ore
}
addon.GemData[23079]	= {	-- Deep Peridot
	[23424] = { tries = 9709,	yields = 1703,		min = 1,	max = 2 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 2985,		min = 1,	max = 2 },	-- Adamantite Ore
}
addon.GemData[21929]	= {	-- Flame Spessarite
	[23424] = { tries = 9709,	yields = 1801,		min = 1,	max = 2 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 2893,		min = 1,	max = 2 },	-- Adamantite Ore
}
addon.GemData[23112]	= {	-- Golden Draenite
	[23424] = { tries = 9709,	yields = 1812,		min = 1,	max = 2 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 3053,		min = 1,	max = 2 },	-- Adamantite Ore
}
addon.GemData[23107]	= {	-- Shadow Draenite
	[23424] = { tries = 9709,	yields = 1778,		min = 1,	max = 2 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 2826,		min = 1,	max = 2 },	-- Adamantite Ore
}
addon.GemData[23440]	= {	-- Dawnstone
	[23424] = { tries = 9709,	yields = 119,		min = 1,	max = 1 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 609,		min = 1,	max = 1 },	-- Adamantite Ore
}
addon.GemData[23436]	= {	-- Living Ruby
	[23424] = { tries = 9709,	yields = 105,		min = 1,	max = 1 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 575,		min = 1,	max = 1 },	-- Adamantite Ore
}
addon.GemData[23441]	= {	-- Nightseye
	[23424] = { tries = 9709,	yields = 112,		min = 1,	max = 1 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 604,		min = 1,	max = 1 },	-- Adamantite Ore
}
addon.GemData[23439]	= {	-- Noble Topaz
	[23424] = { tries = 9709,	yields = 128,		min = 1,	max = 1 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 684,		min = 1,	max = 1 },	-- Adamantite Ore
}
addon.GemData[23438]	= {	-- Star of Elune
	[23424] = { tries = 9709,	yields = 124,		min = 1,	max = 1 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 549,		min = 1,	max = 1 },	-- Adamantite Ore
}
addon.GemData[23437]	= {	-- Talasite
	[23424] = { tries = 9709,	yields = 101,		min = 1,	max = 1 },	-- Fel Iron Ore
	[23425] = { tries = 16079,	yields = 567,		min = 1,	max = 1 },	-- Adamantite Ore
}
addon.GemData[36917]	= { -- Bloodstone
	[36909] = { tries = 12296,	yields = 2814,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 8002,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 5934,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36923]	= { -- Chalcedony
	[36909] = { tries = 12296,	yields = 2867,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 8033,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 5756,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36932]	= { -- Dark Jade
	[36909] = { tries = 12296,	yields = 2981,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 8128,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 5691,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36929]	= { -- Huge Citrine
	[36909] = { tries = 12296,	yields = 2830,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 8240,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 5747,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36926]	= { -- Shadow Crystal
	[36909] = { tries = 12296,	yields = 2870,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 7735,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 5808,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36920]	= { -- Sun Crystal
	[36909] = { tries = 12296,	yields = 2809,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 8168,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 5587,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36921]	= { -- Autumn's Glow
	[36909] = { tries = 12296,	yields = 143,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 1815,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 1011,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36933]	= { -- Forest Emerald
	[36909] = { tries = 12296,	yields = 170,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 1848,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 1003,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36930]	= { -- Monarch Topaz
	[36909] = { tries = 12296,	yields = 116,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 1781,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 1073,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36918]	= { -- Scarlet Ruby
	[36909] = { tries = 12296,	yields = 147,		min = 1,	max = 1 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 1769,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 989,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36924]	= { -- Sky Sapphire
	[36909] = { tries = 12296,	yields = 169,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 2065,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 1003,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36927]	= { -- Twilight Opal
	[36909] = { tries = 12296,	yields = 153,		min = 1,	max = 2 },	-- Cobalt Ore
	[36912] = { tries = 44500,	yields = 1855,		min = 1,	max = 2 },	-- Saronite Ore
	[36910] = { tries = 24203,	yields = 932,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36931]	= { -- Ametrine
	[36910] = { tries = 24203,	yields = 1147,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36922]	= { -- King's Amber
	[36910] = { tries = 24203,	yields = 1107,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36919]	= { -- Cardinal Ruby
	[36910] = { tries = 24203,	yields = 966,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36928]	= { -- Dreadstone
	[36910] = { tries = 24203,	yields = 1075,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36934]	= { -- Eye of Zul
	[36910] = { tries = 24203,	yields = 1084,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[36925]	= { -- Majestic Zircon
	[36910] = { tries = 24203,	yields = 1084,		min = 1,	max = 2 },	-- Titanium Ore
}
addon.GemData[52177]	= { -- Carnelian
	[53038] = { tries = 209579,	yields = 49416,		min = 1,	max = 2 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 59227,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 722,		min = 1,	max = 1 },	-- Pyrite Ore
}
addon.GemData[52181]	= { -- Hessonite
	[53038] = { tries = 209579,	yields = 49832,		min = 1,	max = 2 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 59359,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 748,		min = 1,	max = 1 },	-- Pyrite Ore
}
addon.GemData[52182]	= { -- Jasper
	[53038] = { tries = 209579,	yields = 49258,		min = 1,	max = 2 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 60244,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 807,		min = 1,	max = 1 },	-- Pyrite Ore
}
addon.GemData[52180]	= { -- Nightstone
	[53038] = { tries = 209579,	yields = 49439,		min = 1,	max = 2 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 58580,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 718,		min = 1,	max = 1 },	-- Pyrite Ore
}
addon.GemData[52178]	= { -- Zephyrite
	[53038] = { tries = 209579,	yields = 50003,		min = 1,	max = 2 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 58882,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 781,		min = 1,	max = 1 },	-- Pyrite Ore
}
addon.GemData[52179]	= { -- Alicite
	[53038] = { tries = 209579,	yields = 48872,		min = 1,	max = 2 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 59003,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 719,		min = 1,	max = 1 },	-- Pyrite Ore
}
addon.GemData[52194]	= { -- Demonseye
	[53038] = { tries = 209579,	yields = 2735,		min = 1,	max = 1 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 14649,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 352,		min = 1,	max = 1 },	-- Pyrite Ore
}
addon.GemData[52190]	= { -- Inferno Ruby
	[53038] = { tries = 209579,	yields = 2631,		min = 1,	max = 1 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 14763,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 308,		min = 1,	max = 2 },	-- Pyrite Ore
}
addon.GemData[52195]	= { -- Amberjewel
	[53038] = { tries = 209579,	yields = 2560,		min = 1,	max = 1 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 14614,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 314,		min = 1,	max = 2 },	-- Pyrite Ore
}
addon.GemData[52192]	= { -- Dream Emerald
	[53038] = { tries = 209579,	yields = 2571,		min = 1,	max = 1 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 14992,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 377,		min = 1,	max = 2 },	-- Pyrite Ore
}
addon.GemData[52193]	= { -- Ember Topaz
	[53038] = { tries = 209579,	yields = 2589,		min = 1,	max = 1 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 14664,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 345,		min = 1,	max = 2 },	-- Pyrite Ore
}
addon.GemData[52191]	= { -- Ocean Sapphire
	[53038] = { tries = 209579,	yields = 2482,		min = 1,	max = 1 },	-- Obsidium Ore
	[52185] = { tries = 328336,	yields = 14348,		min = 1,	max = 2 },	-- Elementium Ore
	[52183] = { tries = 4495,	yields = 286,		min = 1,	max = 2 },	-- Pyrite Ore
}

--[[
************************************************************************
CHANGELOG:

12/26/10 :	Updated for Cataclysm
11/20/08 : 	Initial version
************************************************************************
]]--