--[[
************************************************************************
Project				: Broker_Extractor
Author				: torhal
Project Revision	: 2.1.4-release
Project Date		: 20120103122947

File				: SkinWeights.lua
Commit Author		: zhinjio
Commit Revision		: 43
Commit Date			: 20110102183134
************************************************************************
Description	:
	Skin Weights  database file
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor



-- It also adds Skins to the list of items that will need to be scanned
--			addon.ScanAll
addon.scanSkins = "2318 2319 4234 4304 8170 21887 33568 52976"

local addStuff = addon.scanSkins

if not addon.ScanAll then
	addon.ScanAll = {}
end
for i in string.gmatch( addStuff, "%d+" ) do
	table.insert( addon.ScanAll, i )
end

if not addon.nodeCounts then
	addon.nodeCounts = {}
end

addon.nodeCounts[2318] =	{ -- Light Leather 
	[38] = 38, [12] = 31, [65] = 18, [4] = 17, [34] = 16, [46] = 12, [17] = 8,
	[40] = 7, [3] = 7
}
addon.nodeCounts[2319] =	{ -- Medium Leather 
	[3] = 8, [39] = 25, [48] = 23, [47] = 10, [28] = 10, [14] = 8, [49] = 8, 
	[2] = 6, [54] = 6
}
addon.nodeCounts[4234] =	{ -- Heavy Leather 
	[19] = 27, [24] = 20, [64] = 18, [47] = 11, [14] = 9, [48] = 6, [54] = 4,
	[39] = 2, [20] = 16, [51] = 6, [6] = 4, [23] = 2
}
addon.nodeCounts[4304] =	{ -- Thick Leather 
	[51] = 4, [6] = 19, [23] = 16, [68] = 9, [63] = 30, [10] = 31, [8] = 12
}
addon.nodeCounts[8170] =	{ -- Rugged Leather 
	[23] = 1, [68] = 31, [63] = 16, [10] = 3, [8] = 33
}
addon.nodeCounts[21887] =	{ -- Knothide Leather 
	[42] = 22, [36] = 27, [7] = 10, [27] = 8, [37] = 7
}
addon.nodeCounts[33568] =	{ -- Borean Leather 
	[44] = 91, [57] = 64, [70] = 18, [31] = 12, [26] = 9, [29] = 8
}
addon.nodeCounts[52976] =	{ -- Savage Leather 
	[13] = 287, [30] = 156, [33] = 146, [62] = 134, [61] = 88, [43] = 57, [1] = 32
}


--[[
************************************************************************
CHANGELOG:

12/29/10 :	Initial version (Cataclysm)

************************************************************************
]]--