--[[
************************************************************************
Project				: Broker_Extractor
Author				: torhal
Project Revision	: 2.1.4-release
Project Date		: 20120103122947

File				: Zones.lua
Commit Author		: zhinjio
Commit Revision		: 41
Commit Date			: 20110102155543
************************************************************************
Description	:
	Milling data (from wowhead)
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor

-- Zones indexes used for Ore/Herb/Skin locations

local LBZ = LibStub("LibBabble-Zone-3.0"):GetLookupTable()
-- Zones for use in the next table:
if not addon.ZoneMapping then
	addon.ZoneMapping = {}
end

-- only include zones that have resource data associated with them
addon.ZoneMapping = {
	[1] = {
		name = LBZ["Abyssal Depths"],
		code = L["ABYS"]
	},
	[2] = {
		name = LBZ["Arathi Highlands"],
		code = L["ARTH"]
	},
	[3] = {
		name = LBZ["Ashenvale"],
		code = L["ASHV"]
	},
	[4] = {
		name = LBZ["Azshara"],
		code = L["AZSH"]
	},
	[5] = {
		name = LBZ["Azuremyst Isle"],
		code = L["AZUR"]
	},
	[6] = {
		name = LBZ["Badlands"],
		code = L["BADL"]
	},
	[7] = {
		name = LBZ["Blade's Edge Mountains"],
		code = L["BEM "]
	},
	[8] = {
		name = LBZ["Blasted Lands"],
		code = L["BLST"]
	},
	[9] = {
		name = LBZ["Borean Tundra"],
		code = L["BORE"]
	},
	[10] = {
		name = LBZ["Burning Steppes"],
		code = L["BURN"]
	},
	[11] = {
		name = LBZ["Crystalsong Forest"],
		code = L["CRYS"]
	},
	[12] = {
		name = LBZ["Darkshore"],
		code = L["DARK"]
	},
	[13] = {
		name = LBZ["Deepholm"],
		code = L["DEEP"]
	},
	[14] = {
		name = LBZ["Desolace"],
		code = L["DESO"]
	},
	[15] = {
		name = LBZ["Dragonblight"],
		code = L["DRAG"]
	},
	[16] = {
		name = LBZ["Dun Morogh"],
		code = L["DUNM"]
	},
	[17] = {
		name = LBZ["Durotar"],
		code = L["DURO"]
	},
	[18] = {
		name = LBZ["Duskwood"],
		code = L["DUSK"]
	},
	[19] = {
		name = LBZ["Dustwallow Marsh"],
		code = L["DUST"]
	},
	[20] = {
		name = LBZ["Eastern Plaguelands"],
		code = L["EPL "]
	},
	[21] = {
		name = LBZ["Elwynn Forest"],
		code = L["ELWY"]
	},
	[22] = {
		name = LBZ["Eversong Woods"],
		code = L["EVER"]
	},
	[23] = {
		name = LBZ["Felwood"],
		code = L["FELW"]
	},
	[24] = {
		name = LBZ["Feralas"],
		code = L["FRLS"]
	},
	[25] = {
		name = LBZ["Gilneas"],
		code = L["GILN"]
	},
	[26] = {
		name = LBZ["Grizzly Hills"],
		code = L["GRIZ"]
	},
	[27] = {
		name = LBZ["Hellfire Peninsula"],
		code = L["HFP "]
	},
	[28] = {
		name = LBZ["Hillsbrad Foothills"],
		code = L["HLLS"]
	},
	[29] = {
		name = LBZ["Howling Fjord"],
		code = L["HOWL"]
	},
	[30] = {
		name = LBZ["Hyjal"],
		code = L["HYJL"]
	},
	[31] = {
		name = LBZ["Icecrown"],
		code = L["ICEC"]
	},
	[32] = {
		name = LBZ["Isle of Quel'Danas"],
		code = L["QUEL"]
	},
	[33] = {
		name = LBZ["Kelp'thar Forest"],
		code = L["KELP"]
	},
	[34] = {
		name = LBZ["Loch Modan"],
		code = L["LOCH"]
	},
	[35] = {
		name = LBZ["Mulgore"],
		code = L["MULG"]
	},
	[36] = {
		name = LBZ["Nagrand"],
		code = L["NAGR"]
	},
	[37] = {
		name = LBZ["Netherstorm"],
		code = L["NETH"]
	},
	[38] = {
		name = LBZ["Northern Barrens"],
		code = L["NBAR"]
	},
	[39] = {
		name = LBZ["Northern Stranglethorn"],
		code = L["NSTV"]
	},
	[40] = {
		name = LBZ["Redridge Mountains"],
		code = L["REDR"]
	},
	[41] = {
		name = LBZ["Searing Gorge"],
		code = L["SEAR"]
	},
	[42] = {
		name = LBZ["Shadowmoon Valley"],
		code = L["SMV "]
	},
	[43] = {
		name = LBZ["Shimmering Expanse"],
		code = L["SHIM"]
	},
	[44] = {
		name = LBZ["Sholazar Basin"],
		code = L["SHOL"]
	},
	[45] = {
		name = LBZ["Silithus"],
		code = L["SLTH"]
	},
	[46] = {
		name = LBZ["Silverpine Forest"],
		code = L["SILV"]
	},
	[47] = {
		name = LBZ["Southern Barrens"],
		code = L["SBAR"]
	},
	[48] = {
		name = LBZ["Stranglethorn Vale"],
		code = L["STV "]
	},
	[49] = {
		name = LBZ["Stonetalon Mountains"],
		code = L["STNM"]
	},
	[50] = {
		name = LBZ["Swamp of Sorrows"],
		code = L["SWMP"]
	},
	[51] = {
		name = LBZ["Tanaris"],
		code = L["TNRS"]
	},
	[52] = {
		name = LBZ["Teldrassil"],
		code = L["TELD"]
	},
	[53] = {
		name = LBZ["Terokkar Forest"],
		code = L["TRKR"]
	},
	[54] = {
		name = LBZ["The Cape of Stranglethorn"],
		code = L["CSTV"]
	},
	[55] = {
		name = LBZ["The Hinterlands"],
		code = L["HINT"]
	},
	[56] = {
		name = LBZ["The Lost Isles"],
		code = L["LOST"]
	},
	[57] = {
		name = LBZ["The Storm Peaks"],
		code = L["STPK"]
	},
	[58] = {
		name = LBZ["Thousand Needles"],
		code = L["1000"]
	},
	[59] = {
		name = LBZ["Tirisfal Glades"],
		code = L["TRSF"]
	},
	[60] = {
		name = LBZ["Tol Barad"],
		code = L["TOLB"]
	},
	[61] = {
		name = LBZ["Twilight Highlands"],
		code = L["TWLT"]
	},
	[62] = {
		name = LBZ["Uldum"],
		code = L["ULDM"]
	},
	[63] = {
		name = LBZ["Un'Goro Crater"],
		code = L["UNGO"]
	},
	[64] = {
		name = LBZ["Western Plaguelands"],
		code = L["WPL "]
	},
	[65] = {
		name = LBZ["Westfall"],
		code = L["WEST"]
	},
	[66] = {
		name = LBZ["Wetlands"],
		code = L["WETL"]
	},
	[67] = {
		name = LBZ["Wintergrasp"],
		code = L["WNTG"]
	},
	[68] = {
		name = LBZ["Winterspring"],
		code = L["WINT"]
	},
	[69] = {
		name = LBZ["Zangarmarsh"],
		code = L["ZANG"]
	},
	[70] = {
		name = LBZ["Zul'Drak"],
		code = L["ZULD"]
	},
}
--[[
************************************************************************
CHANGELOG:

12/26/10 :	Initial version (Cataclysm)
************************************************************************
]]--